GDCM 3.2.1

Public Member Functions | List of all members
gdcm::network::AReleaseRPPDU Class Reference

AReleaseRPPDU. More...

`#include <gdcmAReleaseRPPDU.h>`

Inheritance diagram for gdcm::network::AReleaseRPPDU:
[legend]
Collaboration diagram for gdcm::network::AReleaseRPPDU:
[legend]

## Public Member Functions
| AReleaseRPPDU ()
bool | IsLastFragment () const override
void | Print (std::ostream &os) const override
std::istream & | Read (std::istream &is) override
size_t | Size () const override
const std::ostream & | Write (std::ostream &os) const override
Public Member Functions inherited from gdcm::network::BasePDU
virtual | ~BasePDU ()=default

## Detailed Description

AReleaseRPPDU.

Table 9-25 A-RELEASE-RP PDU fields

## Constructor & Destructor Documentation

## ◆ AReleaseRPPDU()

gdcm::network::AReleaseRPPDU::AReleaseRPPDU | ( |  | ) |

## Member Function Documentation

## ◆ IsLastFragment()

bool gdcm::network::AReleaseRPPDU::IsLastFragment | ( |  | ) | const
| inline override virtual

Implements gdcm::network::BasePDU.

## ◆ Print()

void gdcm::network::AReleaseRPPDU::Print | ( | std::ostream & | os | ) | const
| override virtual

Implements gdcm::network::BasePDU.

## ◆ Read()

std::istream & gdcm::network::AReleaseRPPDU::Read | ( | std::istream & | is | ) |
| override virtual

Implements gdcm::network::BasePDU.

## ◆ Size()

size_t gdcm::network::AReleaseRPPDU::Size | ( |  | ) | const
| override virtual

Implements gdcm::network::BasePDU.

## ◆ Write()

const std::ostream & gdcm::network::AReleaseRPPDU::Write | ( | std::ostream & | os | ) | const
| override virtual

Implements gdcm::network::BasePDU.

The documentation for this class was generated from the following file:

- gdcmAReleaseRPPDU.h